import sys

from PyQt6 import QtCore, QtGui, QtWidgets
from PyQt6.QtCore import Qt

from PyQt6.QtGui import QFontDatabase, QFont, QFontInfo
from PyQt6.QtWidgets import QLabel


# ----------------------------------------------------------------------------------


# ----------------------------------------------------------------------------------
class Dlg(QtWidgets.QWidget):


    # ------------------------------------------------------------[override]
    # | __init__()
    # ----------------------------------------------------------------------
    def __init__(self, parent=None):
        super().__init__(parent)

        # Position dialog
        self.resize(600, 200)

        # Create layout, with stretch at end
        self.layout = QtWidgets.QVBoxLayout()
        self.setLayout(self.layout)


    # ------------------------------------------------------------[override]
    # | showEvent()
    # ----------------------------------------------------------------------
    def showEvent(self, parent=None):
        super().showEvent(parent)

        self.setStyleSheet('QLabel { color:  DarkBlue; }')

        self.display1 = QLabel()
        font = QFontDatabase.font('Exo', 'Bold', 20)
        self.display1.setFont(font)
        info = QFontInfo(font)
        self.display1.setText(
            f'{info.family()}, {info.styleName()}, {info.weight()}, {info.italic()}'
        )
        self.layout.addWidget(self.display1)

        self.display2 = QLabel()
        font = QFontDatabase.font('Exo', 'Bold', 20)
        font.setItalic(True)  # set to italic
        self.display2.setFont(font)
        info = QFontInfo(font)
        self.display2.setText(
            f'{info.family()}, {info.styleName()}, {info.weight()}, {info.italic()}'
        )
        self.layout.addWidget(self.display2)


    # ------------------------------------------------------------[override]
    # | keyPressEvent()
    # ----------------------------------------------------------------------
    def keyPressEvent(self, event):
        key = event.key()
        mod = event.modifiers()

        if key == Qt.Key.Key_Q and mod == Qt.KeyboardModifier.ControlModifier:
            self.close()



# ----------------------------------------------------------------------------------
# | __main__                                                                       |
# |                                                                                |
# |                                                                                |
# |                                                                                |
# ----------------------------------------------------------------------------------
if __name__ == '__main__':

    app = QtWidgets.QApplication(sys.argv)
    app.setStyle('Fusion')
    (ex := Dlg()).show()
    sys.exit(app.exec())

#   test()
